Subject: [dhcwg] I-D Action:draft-ietf-dhc-duid-uuid-00.txt

From: [email-masked]
Date: Sat, 2 Oct 2010 06:30:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Dynamic Host Configuration Working Group of the IETF.

	Title           : Definition of the UUID-based DHCPv6 Unique Identifier (DUID-UUID)
	Author(s)       : T. Narten, J. Johnson
	Filename        : draft-ietf-dhc-duid-uuid-00.txt
	Pages           : 6
	Date            : 2010-10-01

This document defines a new DHCPv6 Unique Identifier (DUID) type,
called DUID-UUID.  DUID-UUIDs are derived from the already
standardized UUID format.  DUID-UUID makes it possible for devices to
use UUIDs to identify themselves to DHC servers and vice versa.
UUIDs are globally unique and readily available on many systems,
making them convenient identifiers to leverage within DHCP.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dhc-duid-uuid-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Thomas Narten <[email-masked]>
Date: Mon, 04 Oct 2010 09:57:37 -0400

WG,

We discussed this document in Maastricht and the overall response was
quite positive. This version is only slightly changed from the
previous version. No change to the option format, just to some of the
text.

I'd like to get an IANA codepoint assigned for this. I'm aware of an
implementation that will be shipped soon...

Specifically, we need a DUID type assigned. Unfortunately, the IANA
considerations or the DUID type was left unclear. Specifically, the
IANA Considerations in RFC 3315 say:

> 24.5. DUID
> 
>    IANA has recorded the following DUID types (as defined in section
>    9.1).  IANA will manage the definition of additional DUID types in
>    the future.
> 
>       DUID-LLT                       1
> 
>       DUID-EN                        2
> 
>       DUID-LL                        3

Note that "IANA will manage the definition of additional DUID types in
the future" without actually stating what the allocation policy
is.

Given the above, it seems like a reasonable way forward is to ask for
an early code point per section 3.1 of RFC 4020:

> 3.1.  Request
> 
>    The process for requesting and obtaining early allocation of code
>    points is as follows:
> 
>    1) The authors (editors) of the document submit a request for early
>       allocation to the Working Group chairs, specifying which code
>       points require early allocation and which document they should be
>       assigned to.
> 
>    2) The WG chairs determine whether the conditions for early
>       allocations described in section 2 are met; particularly,
>       conditions (c) and (d).
> 
>    3) The WG chairs gauge whether there is consensus within the WG that
>       early allocation is appropriate in the case of the given document.
> 
>    4) If it is, with the approval of the Area Director(s), the WG chairs
>       request IANA to make an early allocation.
> 
>    5) IANA makes an allocation from the appropriate registry, marking it
>       as "temporary", valid for a period of one year from the date of
>       allocation.  The date of allocation should also be recorded in the
>       registry and made visible to the public.

Conditions (c) & (d) are:

>    c) The specifications of these code points must be stable; i.e., if
>       there is a change, implementations based on the earlier and later
>       specifications must be seamlessly interoperable.
> 
>    d) There is sufficient interest in early (pre-RFC) implementation and
>       deployment in the community.
>

I would argue that the format of the option is firm. It only contains
a UUID, not too many ways to format that. :-)

For (d), the intention is to have this document finalized in the next
few weeks and then sent to the IESG. I.e., I would like to think we
are close to being done with the option in any case. 

Thoughts?

Does the WG support allocation of a code point as outlined above?
Please respond either affirmative or opposed (with justification), so
the chairs get a clear signal from the WG.

Thanks!

Thomas

---

From: Ted Lemon <[email-masked]>
Date: Mon, 4 Oct 2010 14:06:05 -0400

> the chairs get a clear signal from the WG.

FWIW, I'm cool with it--the draft is pretty stable, and not controversial, and there is no shortage of DUID codes, nor do we anticipate that there will be one.

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 5 Oct 2010 14:00:04 -0500

I support getting the assignment from IANA.

As we have no other drafts pending to assign DUIDs (that I'm aware of),
are you going to make a request to IANA or change the I-D to say 4 is
assigned and that IANA should update the registry [once they do their
normal thing during the process].

- Bernie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Thomas Narten
Sent: Monday, October 04, 2010 9:58 AM
To: [email-masked]
Subject: Re: [dhcwg] I-D Action:draft-ietf-dhc-duid-uuid-00.txt

WG,

Thoughts?

Thanks!

Thomas
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Thomas Narten <[email-masked]>
Date: Tue, 05 Oct 2010 15:14:03 -0400

Thanks!

> normal thing during the process].

The proper approach would be for IANA to officially make the
assignment, then I put it in the ID.

I've already put in a request to IANA, and they are waiting for the WG
to signal agreement with granting the request.

So if others could chime in, even if it's only a "no objection", that
would help. The worst response for the chairs to have to evaluate with
is silence!

Thomas

---

From: "Zimmer, Vincent" <[email-masked]>
Date: Tue, 5 Oct 2010 12:15:22 -0700

I support this draft.   draft-ietf-dhc-duid-uuid-00.txt complements bare metal network boot scenarios, such as those enabled by RFC 5970, as this draft will allow the platform to advertise its identity to the management/boot server.   This capability is an important facet of the boot/provisioning flow.

Vincent

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Thomas Narten
Sent: Tuesday, October 05, 2010 12:14 PM
To: Bernie Volz (volz)
Cc: [email-masked]
Subject: Re: [dhcwg] I-D Action:draft-ietf-dhc-duid-uuid-00.txt

Thanks!

Thomas

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 5 Oct 2010 15:16:23 -0400

Hi Thomas/Chairs,

> the chairs get a clear signal from the WG.

I think the draft is useful and in good shape. I support the early IANA 
allocation of a DUID type for carrying UUIDs.

Cheers
Suresh

---

From: Jarrod Johnson <[email-masked]>
Date: Wed, 6 Oct 2010 07:50:23 -0400

> normal thing during the process].
I obviously also support the draft.  If it matters though, there was one
other DUID type request in a draft I'm aware of, DUID-SA
in draft-jiang-dhc-secure-dhcpv6-03.  Don't know anything about it.

---

From: Ted Lemon <[email-masked]>
Date: Thu, 7 Oct 2010 09:39:51 -0700

Thomas, I think based on the sense of the room in Maastricht and the reaction on the mailing list, that you're good to go with the IANA--the working group is in favor of this assignment.

---

From: Tom Taylor <[email-masked]>
Date: Mon, 11 Oct 2010 20:04:14 -0400

Support.

On 04/10/2010 9:57 AM, Thomas Narten wrote:
> Conditions (c)&  (d) are: